Bug 134329 - Installer crashes causes an exception when saving (redhat linux 9)
Installer crashes causes an exception when saving (redhat linux 9)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 09:43 EDT by Gastan DeGouk
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 16:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gastan DeGouk 2004-10-01 09:43:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
crashes on save when setting up an internet connection.

i have applied the latest rhpl-0.93.4-1.i386.rpm
its actually Red Hat Linux 9 not Enterprise Linux 3



Version-Release number of selected component (if applicable):
redhat-config-network version 1.2

How reproducible:
Always

Steps to Reproduce:
1.run internet configuration tool
2.
3.
    

Actual Results:  crash straight away everytime on save.
cant connect to internet

Additional info:

Component: redhat-config-network
Version: 1.2.0
Summary: TB35c9f7ce ConfPAP.py:106:getfields:IndexError: list index
out of range
Traceback (most recent call last):
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 579, in on_applyButton_clicked
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 290, in save
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 310, in saveDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 150, in save
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NC_functions.py",
line 163, in getPAPConf
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 33, in
__init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 181, in
__init__
    self.read()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 38, in
read
    self.initvars()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 81, in
initvars
    var = self.getfields()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 106,
in getfields
    if len(var) and len(var[2]) and var[2][0] in '\'"':
IndexError: list index out of range

Local variables in innermost frame:
var: ['']
quote: "
self: <rhpl.ConfPAP.ConfPAP instance at 0x873ec7c>
Comment 1 Harald Hoyer 2004-10-01 16:21:50 EDT
ftp://ftp.redhat.com/pub/redhat/linux/updates/9/en/os/noarch/

redhat-config-network-1.2.15-1.noarch.rpm
redhat-config-network-tui-1.2.15-1.noarch.rpm
Comment 2 Gastan DeGouk 2004-10-04 04:28:32 EDT
clean reinstall of redhat 9 a few times...seemed to do the trick!!

Note You need to log in before you can comment on or make changes to this bug.